// Classe:       Estudante
// Autor:        Armando Delgado

#ifndef __ESTUDANTE__
#define __ESTUDANTE__

#include <string>
#include "Data.h"
using namespace std;


/* Classe:          Estudante
 * Autor:           Armando Delgado
 *
 * Descricao:       tipo abstrato para registro dos dados cadastrais de
 *                  um aluno
 * Construtores:    Estudante()
 *                  Estudante (RA, NomeCompleto)
 * Destrutor:       nenhum
 *                       
 */
class Estudante {
 private:
  string ra;         // RA do aluno
  string login;      // Login do aluno nso sistemas computacionais do curso
  string nome;       // Nome completo do aluno
  string endereco;   // Endereco do aluno
  Data nascimento;   // Data de nascimento do aluno
  Data entrada;      // Data de ingresso do aluno no curso
  Data saida;        // Data de saida do aluno do curso (colacao de grau)

 public:
  // Construtor padrao que define o valor inicial das 
  // variaveis-membro para serem nulos ou vazios.
  Estudante ();

  // Construtor que define o valor inicial do objeto com RA do aluno,
  // e seu nome completo. Os outros atributos feitos nulos ou vazios.
  Estudante (string nRA, string nNome);

  // Define RA do aluno
  void setRA (string nRA);

  // Define Nome completo do aluno
  void setNome (string nNome);

  // Define login do aluno
  void setLogin (string nLogin);

  // Define endereco (rua, cidade, estado, cep) do aluno
  void setEndereco (string nEndereco);

  // Define data de nascimento do aluno
  void setNasc (Data nNascimento);

  // Define data de ingresso do aluno no curso
  void setEntrada (Data nEntrada);

  // Define data de saida do aluno do curso
  void setSadia (Data nSaida);

  // Obtem RA do aluno
  string getRA () const;

  // Obtem Nome completo do aluno
  string getNome () const;

  // Obtem login do aluno
  string getLogin () const;

  // Obtem endereco do aluno
  string getEndereco () const;

  // Obtem data de nascimento do aluno
  Data getNasc () const;

  // Obtem data de ingresso do aluno no curso
  Data getEntrada () const;

  // Obtem data de saida do aluno do curso
  Data getSaida () const;
};

#endif
